﻿var _sites = [], _resources = [];
_resources["zh-cn"] = [], _resources["zh-cn"]["search"] = "搜索", _resources["zh-cn"]["title"] = "首页推荐", _resources["zh-cn"]["history"] = "最近浏览", _resources["zh-cn"]["pl"] = "搜索视频...";
_resources["default"] = [], _resources["default"]["search"] = "Search", _resources["default"]["title"] = "Recommended Sites", _resources["default"]["history"] = "History", _resources["default"]["pl"] = "Search Videos...";

_sites["zh-cn"] = [{ icon: "img/youku.png", name: "优酷网", url: "http://www.youku.com/" }, { icon: "img/iqiyi.png", name: "爱奇艺", url: "http://www.iqiyi.com/" }, { icon: "img/tudou.png", name: "土豆网", url: "http://www.tudou.com/" }, { icon: "img/sohu.png", name: "搜狐视频", url: "http://tv.sohu.com/" }, { icon: "img/fenghuangwang.png", name: "凤凰视频", url: "http://v.ifeng.com/" }, { icon: "img/qq.png", name: "腾讯视频", url: "http://v.qq.com/" }, { icon: "img/sina.png", name: "新浪视频", url: "http://video.sina.com.cn/" }, { icon: "img/56.png", name: "56网", url: "http://www.56.com/" }, { icon: "img/cctv.png", name: "CNTV视频", url: "http://dianshiju.cntv.cn/" }, { icon: "img/xunlei.png", name: "迅雷看看", url: "http://www.kankan.com/" }, { name: "乐视网", url: "http://www.letv.com/" }, { name: "网易视频", url: "http://v.163.com/" }, { name: "PPS", url: "http://www.pps.tv/" }, { name: "酷6网", url: "http://www.ku6.com/" }, { name: "M1905电影网", url: "http://www.m1905.com/vod/" }, { name: "音悦台-MTV视频", url: "http://www.yinyuetai.com/" }, { name: "17173游戏视频", url: "http://17173.tv.sohu.com/" }, { name: "豆瓣网-电影评论", url: "http://www.douban.com/" }, { name: "MoliPlayer官网", url: "http://www.moliplayer.com/" }];

_sites["default"] = [{ name: "Youtube", url: "http://www.youtube.com/" }, { name: "Dailymotion", url: "http://www.dailymotion.com/" }, { name: "Vimeo", url: "http://www.vimeo.com/" }, { name: "Metacafe", url: "http://www.metacafe.com/" }, { name: "Vevo", url: "http://www.vevo.com/" }, { name: "Myspace", url: "http://www.myspace.com/" }, { name: "MTV", url: "http://www.mtv.com/" }, { name: "CBS", url: "http://www.cbs.com/" }, { name: "FOX", url: "http://www.fox.com/" }, { name: "CNN", url: "http://www.cnn.com/" }, { name: "MSN Video", url: "http://www.bing.com/videos/browse" }, { icon: "img/youku.png", name: "Youku", url: "http://www.youku.com/" }, { icon: "img/iqiyi.png", name: "iQiyi", url: "http://www.iqiyi.com/" }, { icon: "img/tudou.png", name: "Tudou", url: "http://www.tudou.com/" }, { icon: "img/sohu.png", name: "Sohu Video", url: "http://tv.sohu.com/" }, { icon: "img/qq.png", name: "QQ Video", url: "http://v.qq.com/" }, { name: "MoliPlayer", url: "http://www.moliplayer.com/" }];

var _languageKey = navigator.language;
if (_languageKey == null || _languageKey.length == 0) {
    _languageKey = navigator.browserLanguage;
}

_languageKey = _languageKey ? _languageKey.toLowerCase() : "default";

if (!_sites[_languageKey]) {
    if (_languageKey.indexOf("-") > 0) {
        _languageKey = _languageKey.substr(0, _languageKey.indexOf("-"));
    }
}

if (document.location.href.indexOf("l=cn") > 0) {
    _languageKey = "zh-cn";
}

if (!_sites[_languageKey]) {
    _languageKey = "default";
}

var _engines = [], _historyCount = 0, _engine = _languageKey == "default" ? "google" : "soku";
_engines["zh-cn"] = [{ key: "soku", name: "搜库", icon: "img/soku.png" }, { key: "baidu", name: "百度", icon: "img/baidu.png" }, { key: "soso", name: "搜搜", icon: "img/soso.png" }];
_engines["default"] = [{ key: "google", name: "Google", icon: "img/google.png" }, { key: "bing", name: "Bing", icon: "img/bing.png" }, { key: "baidu", name: "Baidu", icon: "img/baidu.png" }];

function $id(id) {
    return document.getElementById(id);
}

function setCookie(name, value) {
    var days = 365;
    var exp = new Date();
    exp.setTime(exp.getTime() + days * 24 * 60 * 60 * 1000);
    document.cookie = name + "=" + escape(value) + ";expires=" + exp.toGMTString();
}

function getCookie(name) {
    var arr = document.cookie.match(new RegExp("(^| )" + name + "=([^;]*)(;|$)"));
    if (arr != null) return unescape(arr[2]); return null;
}

function search(keywords) {
    var url = "", engine = _engine;
    if (engine == "soku") {
        url = "http://www.soku.com/v?keyword=" + encodeURIComponent(keywords);
        document.location.href = url;
    }
    else if (engine == "soso") {
        url = "http://video.soso.com/search/?ch=v.res.search&pid=v.search&ac=1&w=" + encodeURIComponent(keywords);
        document.location.href = url;
    }
    else if (engine == "google") {
        url = "https://www.google.com/search?tbm=vid&source=hp&q=" + encodeURIComponent(keywords);
        document.location.href = url;
    }
    else if (engine == "bing") {
        url = "http://www.bing.com/videos/search?&q=" + encodeURIComponent(keywords);
        document.location.href = url;
    }
    else if (engine == "baidu") {
        var iframe = document.createElement("iframe");
        document.body.appendChild(iframe);
        iframe.src = "gb2312.html?r=" + Math.random() + "&w=" + escape(keywords);
    }
}